package com.example.survey.entity.inner;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.util.Date;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class TravelHistory {
    /**
     * 起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date beginTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 开始地点
     */
    private Location startLocation;

    /**
     * 结束地点
     */
    private Location endLocation;

    /**
     * 事件
     */
    private String detail;
}
