package com.example.survey.vo;

import lombok.*;

/**
 * @author Pope
 * 返回结果类
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ResultVo {

    public static final int SUCCESS = 0;
    public static final int FAILED = 1;

    /**
     * 状态码
     */
    private int code;

    /**
     * 信息
     */
    private String msg;

    /**
     * 数据
     */
    private Object data;
}
