package com.example.survey.dto;

import com.example.survey.entity.Department;
import com.example.survey.entity.Role;
import com.example.survey.entity.inner.AdministrativeArea;
import com.example.survey.vo.RoleVo;
import lombok.*;

import java.util.List;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class LoginDto {
    private String token;
    private String username;
    private String idNumber;
    private String phoneNumber;
    private List<RoleVo> roleList;
    private List<Department> departmentList;
    private AdministrativeArea administrativeArea;
}
