package com.example.survey.dto.inner;

import com.example.survey.entity.User;
import lombok.*;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class RelevantUserInfo {
    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 电话号码
     */
    private String phoneNumber;

    /**
     * 用户名
     */
    private String username;

    public RelevantUserInfo(User user) {
        this.idNumber = user.getIdNumber();
        this.phoneNumber = user.getPhoneNumber();
        this.username = user.getUsername();
    }
}
