package com.example.survey.enumeration;

/**
 * @author Pope
 */
public enum RespondentStateEnum {
    /**
     * 已调查状态
     */
    INVESTIGATED("已调查"),
    /**
     * 未调查状态
     */
    NOT_INVESTIGATED("未调查");


    private final String value;

    RespondentStateEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
