package com.example.survey.vo;

import lombok.*;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ReviewVo {
    /**
     * 调查记录对应的调查对象的身份证号
     */
    private String idNumber;
    /**
     * 是否审核通过
     */
    private boolean pass;
    /**
     * 审核信息
     */
    private String msg;
    /**
     * 审核者id
     */
    private String reviewerPhone;
}
